Uploaded image for project: 'Grails'
  1. Grails
  2. GRAILS-11189

Grails 2.3.7 doesn't work with multiple data sources or multiple GORM providers

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Blocker Blocker
    • Resolution: Fixed
    • Affects Version/s: 2.3.7
    • Fix Version/s: None
    • Component/s: Persistence
    • Labels:
      None
    • Environment:
      Windows 7 64 bit, Oracle jdk 1.7.0_51 g4 bit

      Description

      Steps to reproduce:
      Create grails application with create-app command, say

      grails create-app demo-ds-bug

      Add additional data source for development environment, i.e

      dataSource_second {
        dbCreate = "create-drop"
        url = "jdbc:h2:mem:devDbSecond;MVCC=TRUE;LOCK_TIMEOUT=10000;DB_CLOSE_ON_EXIT=FALSE"
      }

      On run-app, application throws an exception saying it can not create 'transactionManager_second'.

        Issue Links

          Activity

          Hide
          Lari Hotari added a comment -

          seems to be caused by this commit: https://github.com/grails-plugins/grails-hibernate-plugin/commit/12fa20cb . This can be fixed by releasing a fixed version of Hibernate plugin.

          Show
          Lari Hotari added a comment - seems to be caused by this commit: https://github.com/grails-plugins/grails-hibernate-plugin/commit/12fa20cb . This can be fixed by releasing a fixed version of Hibernate plugin.
          Hide
          Lari Hotari added a comment -

          fix https://github.com/grails-plugins/grails-hibernate-plugin/commit/8c461f86 , I'll test it and release 3.6.10.10 version of hibernate plugin soo.

          Show
          Lari Hotari added a comment - fix https://github.com/grails-plugins/grails-hibernate-plugin/commit/8c461f86 , I'll test it and release 3.6.10.10 version of hibernate plugin soo.
          Hide
          Lari Hotari added a comment -

          hibernate plugin 3.6.10.10 has been released. it should fix this problem. Please update the hibernate plugin version in your grails-app/conf/BuildConfig.groovy file.

          Show
          Lari Hotari added a comment - hibernate plugin 3.6.10.10 has been released. it should fix this problem. Please update the hibernate plugin version in your grails-app/conf/BuildConfig.groovy file.

            People

            • Assignee:
              Lari Hotari
              Reporter:
              Damir Murat
            • Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development